- [HTTP request](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1beta/projects.locations.apis.configs/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1beta/projects.locations.apis.configs/get#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1beta/projects.locations.apis.configs/get#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1beta/projects.locations.apis.configs/get#body.request_body)
- [Response body](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1beta/projects.locations.apis.configs/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1beta/projects.locations.apis.configs/get#body.aspect)
- [ConfigView](https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1beta/projects.locations.apis.configs/get#ConfigView)

Gets details of a single ApiConfig.

### HTTP request

`GET https://apigateway.googleapis.com/v1beta/{name=projects/*/locations/*/apis/*/configs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Resource name of the form: `projects/*/locations/global/apis/*/configs/*` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `apigateway.apiconfigs.get` |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1beta/projects.locations.apis.configs/get#ConfigView`)`` Specifies which fields of the API Config are returned in the response. Defaults to `BASIC` view. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/api-gateway/docs/reference/rest/v1beta/projects.locations.apis.configs#ApiConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

## ConfigView

Enum to control which fields should be included in the response.

| Enums ||
|---|---|
| `CONFIG_VIEW_UNSPECIFIED` |   |
| `BASIC` | Do not include configuration source files. |
| `FULL` | Include configuration source files. |